<?php namespace App\Api;

/**
 * Class ExplorerAPITest
 * @package Butz\Test\Cardano\Explorer
 *
 */
use Butz\Tests\Cardano\Explorer\ExplorerTestBase;
use Butz\Cardano\Explorer\ExplorerAPI;
use Butz\Tests\Cardano\Explorer\ExplorerAPITest;
use PhalApi\Api;
use phpninjas\Mnemonics\Mnemonic;
class Test extends Api{

    private $mnemonic;

    public function setUp(){
        $fh = fopen("../vendor/phpninjas/mnemonics/src/words.txt","r");
        $this->mnemonic = new Mnemonic(function()use($fh){
            return trim(fgets($fh));
        });
    }

    public function test(){
        $this->setUp();
        $test = $this->mnemonic->toMnemonic('yanfei123456');
        var_dump($test);exit;
    }
}
